Subject: bug#22628: Bug #22628 Hunting: Emacs: ^ in installed package list misses some upgrades

From: Ludovic Courtès <[email-masked]>
Date: Tue, 03 Dec 2019 00:03:01 +0100

Hi!

zimoun <[email-masked]> skribis:

> To be precise, the wish that Ludo wrote [2] is:
>
> <<
> I think we need a different solution for packages that have several
> series.  For instance, we could have:
>
>   (define gnupg-2.0
>     (package …
>       (properties `((series . "2.0")))))
>
> and that would lead the various UIs to upgrade only to a package whose
> version prefix is “2.0”.
>>>
>
>
> What is the status of such? Does it still make sense?
> Personally, I do not feel the need of the series property, what the
> others think?

I think it’s the kind of thing that would be nice but is not often
useful, so the benefit/cost ratio may not be that high.  :-)

No objection to closing the bug!

Ludo’.